%define upstream_name    Config-Model
%define upstream_version 1.241

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Framework for config validation and edition
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(DB_File)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(MouseX::StrictConstructor)
BuildRequires: perl(Parse::RecDescent) >= 1.90.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Command) >= 0.80.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(YAML::Any) >= 0.303.0
BuildArch:  noarch

Requires:   perl(Parse::RecDescent)
Requires:   perl(Exception::Class)
Requires:   perl(Carp::Assert::More)
%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :

 - The user interface
 - The validation engine which is in charge of validating all the configuration
   information provided by the user.
 - The storage facility that store the configuration information

Config::Model provides a validation engine according to a set of rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

#%check
#./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE META.yml MODELS README TODO examples
%{_bindir}/config-edit*
%{perl_vendorlib}/Config
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Apr 11 2011 jquelin <jquelin> 1.241.0-1.mga1
+ Revision: 83347
- update to 1.241

* Fri Apr 08 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 82196
- update to 1.240

* Mon Apr 04 2011 kharec <kharec> 1.237.0-1.mga1
+ Revision: 80542
- disable check
- add a BR on Mouse::Meta::Attribute::Custom::Trait::Hash
- add a br on Config::Model
- new version

  + jquelin <jquelin>
    - update to 1.236

* Wed Mar 02 2011 jquelin <jquelin> 1.235.0-1.mga1
+ Revision: 62531
- update to 1.235

* Fri Feb 25 2011 jquelin <jquelin> 1.234.0-1.mga1
+ Revision: 59648
- update to 1.234

* Wed Feb 16 2011 jquelin <jquelin> 1.233.0-1.mga1
+ Revision: 52314
- update to 1.233

* Thu Jan 27 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 41885
- update to 1.230

* Wed Jan 26 2011 jquelin <jquelin> 1.226.0-1.mga1
+ Revision: 41054
- mageia rebuild
- imported package perl-Config-Model


* Sat Dec 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.226.0-1mdv2011.0
+ Revision: 620577
- update to new version 1.226

* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.225.0-1mdv2011.0
+ Revision: 616307
- update to new version 1.225

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.222.0-1mdv2011.0
+ Revision: 602095
- new version

* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.220.0-1mdv2011.0
+ Revision: 596521
- update to new version 1.220

* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.218.0-1mdv2011.0
+ Revision: 594457
- update to new version 1.218

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.215.0-1mdv2011.0
+ Revision: 587623
- new version

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.206.0-1mdv2011.0
+ Revision: 569932
- update to 1.206

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.205.0-1mdv2011.0
+ Revision: 551991
- update to 1.205

* Thu Apr 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.202.0-1mdv2010.1
+ Revision: 537889
- adding missing buildrequires:
- update to 1.202

* Mon Mar 29 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 528781
- adding missing buildrequires:
- update to 1.001

* Sat Mar 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.644.0-1mdv2010.1
+ Revision: 518657
- update to 0.644

* Thu Feb 25 2010 Jérôme Quelin <jquelin@mandriva.org> 0.643.0-1mdv2010.1
+ Revision: 511289
- adding missing buildrequires:
- update to 0.643

* Fri Jan 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.642.0-1mdv2010.1
+ Revision: 494929
- update to 0.642

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.641.0-1mdv2010.1
+ Revision: 494442
- update to 0.641

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.640.0-1mdv2010.0
+ Revision: 436572
- update to 0.640

* Wed Sep 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.639.0-1mdv2010.0
+ Revision: 434670
- new version

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-4mdv2010.0
+ Revision: 393070
- yet another dependency fix

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-3mdv2010.0
+ Revision: 393057
- fix dependencies

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-2mdv2010.0
+ Revision: 392798
- fix dependencies

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-1mdv2010.0
+ Revision: 391938
- update to new version 0.638

* Thu Jun 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.637-1mdv2010.0
+ Revision: 389094
- update to new version 0.637

* Sat Jun 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.636.0-1mdv2010.0
+ Revision: 385675
- import perl-Config-Model


* Sat Jun 13 2009 cpan2dist 0.636-1mdv
- initial mdv release, generated with cpan2dist

